ftpd_dir=/etc/proftpd

rm -rf $ftpd_dir/*

cat > $ftpd_dir/proftpd.conf <<CONF
LoadModule mod_tls.c
ServerType standalone
Port 21
User root
Group root
AllowStoreRestart on
AllowOverwrite on
UseReverseDNS off
RequireValidShell off
DefaultRoot ~
UseFtpUsers off
PassivePorts 62121 62130
<IfModule mod_tls.c>
  TLSEngine on
  TLSOptions NoSessionReuseRequired
  TLSRSACertificateFile $ftpd_dir/server.cert
  TLSRSACertificateKeyFile $ftpd_dir/server.key
</IfModule>
CONF

cat > $ftpd_dir/server.key <<"KEY"
-----BEGIN PRIVATE KEY-----
MIICdwIBADANBgkqhkiG9w0BAQEFAASCAmEwggJdAgEAAoGBALyzDQ/Q1g5HxE4R
yb6MEOuPBGgAAdBdMO0ET629ISsAgoUqwuL4lXJeT2yuUbYTtJqGK64xQVABAW2a
yDF2LmkfvfiJvqUm6ntYauX7OftK6J8jMLLRLw8MMj8itJZ/OOXo3kNVU7Gp5fMT
zkP0jEYdEkhK3BuqE/h9/52NWCKPAgMBAAECgYEAmo9OM5Yqvqep8wg+5wRzF36d
bVIUKkcqu/i8CuLPOBnCzrCn0KEsR/FXvP1LkIezdp5PSO6vQIiSUuRk9Z6Hg8nz
zP5zpAvnKkl/H1lGAiZQBsNFXIsvkjLYNG1jPJNyQU0pH9Z5OG92l+WCShjcGY59
GZoQAg1zazIBWcRh4wECQQDx+PP59p4gQ19TvCVNkgam8T6PfgnzzBvmQ66pj4xq
Aa6gA3uzc99JP7PlQRkn8HErUWFWMTJ8F9gaa/r/CuwZAkEAx6N8utBVKdoNDz53
nYfG87GSsWYNICvLYdt0I0QfuKobb7hOAXCm60xm4ObTh9RJB1DZam9piP1OX9qx
tojY5wJAHRF8Nb4jttqBHC0RCiWNuQZoLpLEnU4a1+mvlN0S0DVNhhmFBcTYwRLv
CI5ueDbRUZPgLpuQZgnzQxFPwM3OGQJBAKlXVUsFwuewTZmbrE0Uyj8WZk9SOFoM
rAVC6J2tgJbcvE8k8A4qp3w6H54wTkgOWy/4daPiA4wvCdcnI82pAQsCQAG94G0r
+E9vDg4+rXuEUDcmLw3i9IfNdEFMs0YzGcEf1XYns0einEEQMt4mDzb1jEh68265
IIhJVppnNoWpNB0=
-----END PRIVATE KEY-----
KEY

cat > $ftpd_dir/server.cert <<"CERT"
-----BEGIN CERTIFICATE-----
MIIDazCCAtSgAwIBAgIUI8gQNQ0kMLs+D0qsrn3A3vRkY84wDQYJKoZIhvcNAQEL
BQAwWjELMAkGA1UEBhMCRlIxDzANBgNVBAgMBkZyYW5jZTETMBEGA1UECgwKWGJ1
cyBUZXN0czElMCMGA1UEAwwceGJ1cy1maWxlZ2F0ZXdheS1mdHBzLXNlcnZlcjAg
Fw0yMzAzMTQxNDU1MjhaGA8yMTIzMDIxODE0NTUyOFowWjELMAkGA1UEBhMCRlIx
DzANBgNVBAgMBkZyYW5jZTETMBEGA1UECgwKWGJ1cyBUZXN0czElMCMGA1UEAwwc
eGJ1cy1maWxlZ2F0ZXdheS1mdHBzLXNlcnZlcjCBnzANBgkqhkiG9w0BAQEFAAOB
jQAwgYkCgYEAvLMND9DWDkfEThHJvowQ648EaAAB0F0w7QRPrb0hKwCChSrC4viV
cl5PbK5RthO0moYrrjFBUAEBbZrIMXYuaR+9+Im+pSbqe1hq5fs5+0ronyMwstEv
DwwyPyK0ln845ejeQ1VTsanl8xPOQ/SMRh0SSErcG6oT+H3/nY1YIo8CAwEAAaOC
ASowggEmMB0GA1UdDgQWBBQHRfERTgHnC2Oi0h1Ioe2LGkz0uDCBlwYDVR0jBIGP
MIGMgBQHRfERTgHnC2Oi0h1Ioe2LGkz0uKFepFwwWjELMAkGA1UEBhMCRlIxDzAN
BgNVBAgMBkZyYW5jZTETMBEGA1UECgwKWGJ1cyBUZXN0czElMCMGA1UEAwwceGJ1
cy1maWxlZ2F0ZXdheS1mdHBzLXNlcnZlcoIUI8gQNQ0kMLs+D0qsrn3A3vRkY84w
DAYDVR0TBAUwAwEB/zALBgNVHQ8EBAMCAvwwJwYDVR0RBCAwHoIceGJ1cy1maWxl
Z2F0ZXdheS1mdHBzLXNlcnZlcjAnBgNVHRIEIDAeghx4YnVzLWZpbGVnYXRld2F5
LWZ0cHMtc2VydmVyMA0GCSqGSIb3DQEBCwUAA4GBAHqGaZuGHLp5n2BCO9MgowGS
eDV0Jro7zxSufFK4nWLbURucNX+fos6JwzJjd6GqlxE2dHi3LhJ8Vy5SQEAoTNtQ
IA4APV40PQNeahivKwHD46eKllWJu+J8UlnToCQiquMCjojqcMjpV++FPciVwdAF
WFxP3Q4wYwUDsCgKIm3p
-----END CERTIFICATE-----
CERT
