package routing

import (
	"os"
	"testing"

	"orus.io/xbus/xbus-stdlib/service"
)

func TestPostgresTableStore(t *testing.T) {
	pgTestDsn := os.Getenv("XBUS_STDLIB_TEST_POSTGRES_DSN")
	if pgTestDsn == "" {
		t.Skip("Please set the XBUS_STDLIB_TEST_POSTGRES_DSN")
	}
	TableStoreTestSuite(t, postgresTableStoreFactory, service.Settings{
		"store.dsn":         pgTestDsn,
		"store.tablename":   "kv_test",
		"store.keycolumn":   "key",
		"store.valuecolumn": "value",
		"store.autocreate":  true,
	})
}
